<?php


require_once '../../init.php';
// Include required files
require_once MAX_PATH . '/lib/pear/Spreadsheet/Excel/Writer.php';
require_once MAX_PATH . '/www/admin/config.php';
// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once LIB_PATH . '/Plugin/PluginManager.php';
require_once LIB_PATH . '/Plugin/ComponentGroupManager.php';
if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN, OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);


$oPluginManager = new OX_PluginManager();
$oComponentGroupManager = new OX_Plugin_ComponentGroupManager();
$agency_id = OA_Permission::getEntityId();
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$name = 'Exported Statistics - Passback Ads' . ' ' . 'Statistics';
$agency_id = OA_Permission::getEntityId();
$start = $_GET['start'];
$end = $_GET['end'];
$startdate = date($start, strtotime('$start'));
$endate = date($end, strtotime('Yesterday'));

if ($affiliateid) {
	$stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a 
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid and a.affiliateid =$affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'
GROUP BY zoneid
	");

	$total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a 
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid and a.affiliateid =$affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'");
} else {
	if ($agency_id == 0) {
		$stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id and a.affiliateid=z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'
GROUP BY zoneid") or die(mysql_error);

		$total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'");
	} else {
		$stat = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'
GROUP BY zoneid");

		$total = OA_Dal_Delivery_query("SELECT a.name AS name,sum( r.requests ) AS requests, z.zoneid AS zoneid, z.zonename AS zonename
FROM rv_dj_passback_requests AS r, rv_zones AS z,rv_affiliates as a
WHERE z.zoneid = r.zone_id AND a.affiliateid = z.affiliateid
AND date_time >= '" . $startdate . "'
AND date_time <= '" . $endate . "'");
	}
}

$workbook = new Spreadsheet_Excel_Writer();
// sending HTTP headers
$workbook->send($name . '.xls');
// Creating a worksheet
$worksheet = &$workbook->addWorksheet($publisherDetails->publisherName . 'Report');
$format9 = &$workbook->addFormat();
$format9->setBold();
$format9->setSize(12);
$format9->setPattern(2);
$format9->setAlign('left');
$format9->setTop(1);
$format9->setFgColor('green');
//$format9->setBottom(2);

$format1 = &$workbook->addFormat();
$format1->setLeft(1);
$format1->setTop(1);
$format1->setFgColor('green');
$format1->setBold();
$format1->setSize(12);
$format1->setPattern(2);

$format2 = &$workbook->addFormat();
$format2->setRight(1);
$format2->setTop(1);
$format2->setFgColor('green');
$format2->setBold();
$format2->setSize(12);
$format2->setPattern(2);

$format3 = &$workbook->addFormat();
$format3->setTop(1);

$format4 = &$workbook->addFormat();
$format4->setLeft(1);
$format4->setFgColor('silver');

$format5 = &$workbook->addFormat();
$format5->setRight(1);
$format5->setFgColor('silver');

$format6 = &$workbook->addFormat();
$format6->setFgColor('silver');

$format10 = &$workbook->addFormat();
$format10->setLeft(1);

///startdate color
$format7 = &$workbook->addFormat();
$format7->setLeft(1);
$format7->setFgColor('silver');

//end date 
$format8 = &$workbook->addFormat();
$format8->setLeft(1);
$format8->setBottom(1);
$format8->setFgColor('silver');

$format11 = &$workbook->addFormat();
$format11->setRight(1);

$format12 = &$workbook->addFormat();
$format12->setBottom(1);

$format13 = &$workbook->addFormat();
$format13->setLeft(1);
$format13->setBottom(1);

$format14 = &$workbook->addFormat();
$format14->setBottom(1);
$format14->setRight(1);

$worksheet->write(1, 1, 'Passback Statistics', $format1);
$worksheet->write(1, 2, '', $format2);

if ($_GET['exstart'] == "") {
	$_GET['exstart'] = $_GET['start'];
}
$exstart = substr($_GET['exstart'], 0, 10);
$exend = substr($_GET['end'], 0, 10);

$index = 3;
$rows = OA_Dal_Delivery_numRows($stat);

if ($rows > 0) {
	$worksheet->write(1, 1, 'PassBack Tag Statistics', $format1);
	$worksheet->write(1, 2, '', $format9);
	$worksheet->write(1, 3, '', $format9);
	$worksheet->write(1, 4, '', $format2);
	$worksheet->write(2, 1, 'Website Name   ', $format4);
	$worksheet->write(2, 2, 'Zone Name', $format6);
	$worksheet->write(2, 3, 'Zone Id', $format6);
	$worksheet->write(2, 4, 'Requests', $format5);
	$i = 1;
	while ($res = OA_Dal_Delivery_fetchAssoc($stat)) {
		$worksheet->write($index, 1, $res['name'], $format10);
		$worksheet->write($index, 2, $res['zonename']);
		$worksheet->write($index, 3, $res['zoneid']);
		$worksheet->write($index, 4, $res['requests'], $format11);
		if ($rows == $i) {
			$worksheet->write($index, 1, '', $format13);
			$worksheet->write($index, 2, '', $format12);
			$worksheet->write($index, 3, '', $format12);
			$worksheet->write($index, 4, '', $format14);
		}
		$index++;
		$i++;
	}
} else {
	$worksheet->write(4, 4, 'There are No Statistics available for this Specified time period');
}
$workbook->close();
